Skip to main content
POST
/
api
/
serviceAccounts
/
v1
/
serviceAccounts
/
{serviceAccountIdpId}
/
tokens
cURL
curl --request POST \
  --url https://api.example.com/api/serviceAccounts/v1/serviceAccounts/{serviceAccountIdpId}/tokens \
  --header 'Content-Type: application/json' \
  --header 'X-Domino-Api-Key: <api-key>' \
  --data '
{
  "name": "<string>"
}
'
{
  "createdAt": "2025-08-21T23:51:54.075Z",
  "isValid": true,
  "name": "<string>",
  "serviceAccountIdpId": "<string>",
  "token": "<string>",
  "expiresAt": "2025-08-21T23:51:54.075Z"
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

serviceAccountIdpId
string
required

Body

application/json
name
string
required

Response

Creates a service account token

createdAt
string<date-time>
required
Example:

"2025-08-21T23:51:54.075Z"

isValid
boolean
required
name
string
required
serviceAccountIdpId
string
required
token
string
required
expiresAt
string<date-time>
Example:

"2025-08-21T23:51:54.075Z"